package com.yijia.station.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yijia.station.mapper.StationNoticeMapper;
import com.yijia.station.domain.StationNotice;
import com.yijia.station.service.IStationNoticeService;

/**
 * 油站通知管理Service业务层处理
 * 
 * @author yijia
 * @date 2020-12-08
 */
@Service
public class StationNoticeServiceImpl implements IStationNoticeService 
{
    @Autowired
    private StationNoticeMapper stationNoticeMapper;

    /**
     * 查询油站通知管理
     * 
     * @param noticeId 油站通知管理ID
     * @return 油站通知管理
     */
    @Override
    public StationNotice selectStationNoticeById(Long noticeId)
    {
        return stationNoticeMapper.selectStationNoticeById(noticeId);
    }

    /**
     * 查询油站通知管理列表
     * 
     * @param stationNotice 油站通知管理
     * @return 油站通知管理
     */
    @Override
    public List<StationNotice> selectStationNoticeList(StationNotice stationNotice)
    {
        return stationNoticeMapper.selectStationNoticeList(stationNotice);
    }

    /**
     * 新增油站通知管理
     * 
     * @param stationNotice 油站通知管理
     * @return 结果
     */
    @Override
    public int insertStationNotice(StationNotice stationNotice)
    {
        return stationNoticeMapper.insertStationNotice(stationNotice);
    }

    /**
     * 修改油站通知管理
     * 
     * @param stationNotice 油站通知管理
     * @return 结果
     */
    @Override
    public int updateStationNotice(StationNotice stationNotice)
    {
        return stationNoticeMapper.updateStationNotice(stationNotice);
    }

    /**
     * 批量删除油站通知管理
     * 
     * @param noticeIds 需要删除的油站通知管理ID
     * @return 结果
     */
    @Override
    public int deleteStationNoticeByIds(Long[] noticeIds)
    {
        return stationNoticeMapper.deleteStationNoticeByIds(noticeIds);
    }

    /**
     * 删除油站通知管理信息
     * 
     * @param noticeId 油站通知管理ID
     * @return 结果
     */
    @Override
    public int deleteStationNoticeById(Long noticeId)
    {
        return stationNoticeMapper.deleteStationNoticeById(noticeId);
    }
}
